#2502 incorrect date stamp

closed-fixed
nobody
1
2007-09-04
2007-09-01
MvG
No

Hello,

I set up a mailserver on SuSE9.3 with cyrus and squirrel for my school in 2006. There are only a few users of the system. Last week the first error message comes to me.

When sending an email within squirrel to an account at web.de the mail is bounced. I've found that the time stamp is wrong.

Here are some header informations:

1. received mail
Received: from mailserver.carllegien [IP] by hoster with ESMTP
(SMTPD32-8.15) id A1F72E1B0076; Fri, 31 Aug 2007 23:02:47 +0200
Received: from mailserver.carllegien (localhost [127.0.0.1])
by mailserver.carllegien (Postfix) with ESMTP id 1973E2B0730
for <mymailaddress>; Fri, 31 Aug 2007 23:02:54 +0200 (CEST)
X-Spam-Checker-Version: SpamAssassin 3.1.8 (2007-02-13) on
mailserver.carllegien
X-Spam-Level:
X-Spam-Status: Ro, score=0.6 required=4.0 tests=ALL_TRUSTED,
DATE_IN_FUTURE_03_06 autolearn=no version=3.1.8
Received: from localhost (unknown [127.0.0.1])
by mailserver.carllegien (Postfix) with ESMTP id 96347274002
for <mymailaddress>; Fri, 31 Aug 2007 21:02:53 +0000 (UTC)
Received: from mailserver.carllegien ([127.0.0.1])
by localhost (mailserver [127.0.0.1]) (amavisd-new, port 10024) with ESMTP
id 05511-01 for <mymailaddress>; Fri, 31 Aug 2007 23:02:50 +0200 (CEST)
Received: from carl-legien-ob (localhost [127.0.0.1])
by mailserver.carllegien (Postfix) with ESMTP id C1E9E2B0730
for <mymailaddress>; Fri, 31 Aug 2007 23:02:50 +0200 (CEST)
Received: from 84.190.117.178
(SquirrelMail authenticated user mvg)
by carl-legien-ob with HTTP;
Fri, 31 Aug 2007 23:02:50 -0200 (CEST)
Message-ID: <64709.84.190.117.178.1188594170.squirrel@carl-legien-ob>
Date: Fri, 31 Aug 2007 23:02:50 -0200 (CEST)
Subject: test 23:02 31.08.2007
From: "Michael van Gemmern" <myfromaddress>
To: mymailaddress
User-Agent: SquirrelMail/1.4.5

<comment>
There is a difference between
Date: Fri, 31 Aug 2007 23:02:50 -0200 (CEST)
(SMTPD32-8.15) id A1F72E1B0076; Fri, 31 Aug 2007 23:02:47 +0200

One says -0200 the other +0200
</comment>

2. mail with mailx
Received: from mailserver.carllegien [IP] by hoster with ESMTP
(SMTPD32-8.15) id A58728690104; Sat, 01 Sep 2007 10:40:39 +0200
Received: by mailserver.carllegien (Postfix, from userid 0)
id BE479274002; Sat, 1 Sep 2007 10:40:45 +0200 (CEST)
Date: Sat, 01 Sep 2007 10:40:45 +0200

<comment>
A mail sent from a terminal has correct date.

The time displayed in my mail client is correct with the mailx sent mail.
The time with squirrel has 4 hours difference.

<comment>

I'm not a native english.

Ciao Michael

Discussion

  • Thijs Kinkhorst

    Thijs Kinkhorst - 2007-09-04

    Logged In: YES
    user_id=285765
    Originator: NO

    Hi Michael,

    You say the mail is bounced. Why is mail bounced when the Date hear is wrong? Can you attach the complete bounce message?

    You're using a quite old version of SquirrelMail. It would greatly help us if you could check whether the most recent SquirrelMail version exhibits the same behaviour.

    Are you sure this is not related to the Timezone setting under Options -> Personal?

     
  • MvG

    MvG - 2007-09-04

    Logged In: YES
    user_id=1880724
    Originator: YES

    Hi,

    I had found a solution for my old version. But I wasn´t lucky with that dirty trick so today I installed the newest 1.4.10a. My solution (changing + to -) leads now to the same error. After changing back to original settings in /class/deliver/Deliver.class.php sm runs very well.

    So the reason was my old 1.4.5 (there is no newer version in SuSE-Updater).
    In 1.4.10a the bug has gone.

    Many thanks for your answer!

     
  • MvG

    MvG - 2007-09-04
    • priority: 5 --> 1
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks